Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.oraclegeoraster
Class GeoRasterDescription

    java.lang.Object
      org.deegree.io.oraclegeoraster.GeoRasterDescription

    public class GeoRasterDescription

extends Object

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`GeoRasterDescription(JDBCConnection jdbcConnection, String table, String rdtTable, String column, String identification, int level)`

Method Summary
`String` | `getColumn()`
`String` | `getIdentification()`
`JDBCConnection` | `getJdbcConnection()`
`int` | `getLevel()` returns the Oracle tree level of the describe coverage
`String` | `getRdtTable()`
`String` | `getTable()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeoRasterDescription

    public GeoRasterDescription(JDBCConnection jdbcConnection,
                                String table,
                                String rdtTable,
                                String column,
                                String identification,
                                int level)

Parameters:
  `jdbcConnection` -
  `table` -
  `rdtTable` -
  `column` -
  `identification` -

Method Detail

### getColumn

    public String getColumn()

  Returns:
    name of the georaster column

### getIdentification

    public String getIdentification()

  Returns:
    SQL where clause that identifies the target georaster

### getJdbcConnection

    public JDBCConnection getJdbcConnection()

  Returns:
    JDBC description for accessing the DB

### getRdtTable

    public String getRdtTable()

  Returns:
    name of the RDT table assigned to a GeoRaster column

### getTable

    public String getTable()

  Returns:
    name of the tab le containing a georaster column to access

### getLevel

    public int getLevel()

  returns the Oracle tree level of the describe coverage

  Returns:
    the Oracle tree level of the describe coverage

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org